package cn.wise.sc.acquisition.business.controller;



import cn.wise.sc.acquisition.business.model.PageQuery;
import cn.wise.sc.acquisition.business.service.ITWeightService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.api.R;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ztw
 * @since 2021-04-26
 */
@Api(tags = "地磅数据统计")
@RestController
@RequestMapping("/business/t-weight")
public class TWeightController {

	@Autowired
	private ITWeightService weightService;


	@ApiOperation(value = "地磅数据统计")
	@ApiImplicitParams(value = {
			@ApiImplicitParam(name = "TruckID", value = "矿车编号", paramType = "query", dataType = "String"),
			@ApiImplicitParam(name = "startDate", value = "开始日期", paramType = "query", dataType = "String"),
			@ApiImplicitParam(name = "endDate", value = "结束日期", paramType = "query", dataType = "String")
	})
	@GetMapping("/getWeightCount")
	public R getWeightCount(PageQuery pageQuery, String TruckID, String startDate, String endDate) {
		return weightService.getWeightCount(pageQuery, TruckID, startDate, endDate);
	}




}

